OUTPUT_FORMAT(elf64-x86-64)
OUTPUT_ARCH(i386:x86-64)

ENTRY(_entry)

PHDRS {
  rx PT_LOAD FLAGS(5);
  ro PT_LOAD FLAGS(4);
  rw PT_LOAD FLAGS(6);
}

SECTIONS {

  /* see also ../documentation/memory.txt */
  . = 0x200000;

  .text : {
    *(.text .text.*)
  } : rx

  . = ALIGN(0x200000);

  .rodata : {
    *(.rodata .rodata.*)
  } : ro

  . = ALIGN(0x200000);

  .data : {
    *(.data .data.*)
  } : rw

  .bss : {
    *(.bss .bss.*)
    *(COMMON)
  } : rw

}
